al_get_first_config_entry(3)

NAME

al_get_first_config_entry - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    char const *al_get_first_config_entry(ALLEGRO_CONFIG const *config,
       char const *section, ALLEGRO_CONFIG_ENTRY **iterator)

DESCRIPTION

Returns the name of the first key in the given section in the given config or NULL if the section is empty. The iterator works like the one for al_get_first_config_section(3).

The returned string and the iterator are only valid as long as no change is made to the passed ALLEGRO_CONFIG(3).

SEE ALSO

al_get_next_config_entry(3)